libmwaw::DebugFile::NotePos Struct Reference

a note and its position (used to sort all notes) More...

`#include <MWAWDebug.hxx>`

## Classes
struct | NotePosLt
| internal struct used to sort the notes, sorted by position More...

## Public Member Functions
| NotePos ()
| empty constructor used by std::vector
| NotePos (long p, std::string const &n, bool br=true)
| constructor: given position and note
bool | operator< (NotePos const &p) const
| comparison operator based on the position

## Public Attributes
long | m_pos
| note offset
std::string | m_text
| note text
bool | m_breaking
| flag to indicate a non breaking note

## Detailed Description

a note and its position (used to sort all notes)

## Constructor & Destructor Documentation

## ◆ NotePos() [1/2]

libmwaw::DebugFile::NotePos::NotePos | ( |  | ) |
| inline

empty constructor used by std::vector

Referenced by libmwaw::DebugFile::NotePos::NotePosLt::operator()(), and operator<().

## ◆ NotePos() [2/2]

libmwaw::DebugFile::NotePos::NotePos | ( | long | p,
|  | std::string const & | n,
|  | bool | br = true )
| inline

constructor: given position and note

## Member Function Documentation

## ◆ operator<()

bool libmwaw::DebugFile::NotePos::operator< | ( | NotePos const & | p | ) | const
| inline

comparison operator based on the position

## Member Data Documentation

## ◆ m_breaking

bool libmwaw::DebugFile::NotePos::m_breaking

flag to indicate a non breaking note

Referenced by NotePos(), NotePos(), and operator<().

## ◆ m_pos

long libmwaw::DebugFile::NotePos::m_pos

note offset

Referenced by NotePos(), NotePos(), and operator<().

## ◆ m_text

std::string libmwaw::DebugFile::NotePos::m_text

note text

Referenced by NotePos(), NotePos(), and operator<().

The documentation for this struct was generated from the following file:

- MWAWDebug.hxx